how to upgrade avr gcc in linux

Go To Last Post
8 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hi all,

I want to update avr-gcc 4.5 to 4.7 in linux ubuntu.
Does anyone know how to update it?

Thank you.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Yup get Atmel's toolchain:

http://www.atmel.com/tools/ATMEL...

That contains GCC 4.7.2

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

thank you so much for reply..

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

clawson wrote:
Yup get Atmel's toolchain:

http://www.atmel.com/tools/ATMEL...

That contains GCC 4.7.2

Anyone has the "Direct link URL Trick " ?

It seems like Atmel still wants that silly registration stuff.

/Bingo

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

You mean this one for Windows? Or this one for Linux?

...and once again i must prove that I am a spam bot :-)

avrfreaks does not support Opera. Profile inactive.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

What a scrap. The installer starts installing without askung where it should drop the installation????

avrfreaks does not support Opera. Profile inactive.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Excactly ... those
Thnx Nard

Hmm ... Why on earth would it not ask for the destination ...
Especially on Linux that doesn't have a predefined AS6 dir SIGH ... :-(

Or did you only try the Win installer ?

Edit : On linux it's just a tgz archive , so you decide the extract dir. Thanx Atmel ...

/Bingo

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I just testes the windows installer. It overwrote an existing 4.6.2 installation without asking.

Looks like it depicts the old place from whit it finds in the registry at

HKLM\SOFTWARE\Atmel\AVR Toolchain

avrfreaks does not support Opera. Profile inactive.